# Method: projects.locations.restoreChannels.restorePlanBindings.list

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke/reference/rest/v1/projects.locations.restoreChannels.restorePlanBindings/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke/reference/rest/v1/projects.locations.restoreChannels.restorePlanBindings/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke/reference/rest/v1/projects.locations.restoreChannels.restorePlanBindings/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke/reference/rest/v1/projects.locations.restoreChannels.restorePlanBindings/list#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke/reference/rest/v1/projects.locations.restoreChannels.restorePlanBindings/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke/reference/rest/v1/projects.locations.restoreChannels.restorePlanBindings/list#body.ListRestorePlanBindingsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke/reference/rest/v1/projects.locations.restoreChannels.restorePlanBindings/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke/reference/rest/v1/projects.locations.restoreChannels.restorePlanBindings/list#try-it)

Lists RestorePlanBindings in a given location.

### HTTP request

Choose a location:
<button value="global" default="">global</button> <button value="me-central1">me-central1</button> <button value="me-central2">me-central2</button> <button value="me-west1">me-west1</button> <button value="europe-west6">europe-west6</button> <button value="africa-south1">africa-south1</button> <button value="asia-east1">asia-east1</button> <button value="asia-east2">asia-east2</button> <button value="asia-northeast1">asia-northeast1</button> <button value="asia-northeast2">asia-northeast2</button> <button value="asia-northeast3">asia-northeast3</button> <button value="asia-south1">asia-south1</button> <button value="asia-south2">asia-south2</button> <button value="asia-southeast1">asia-southeast1</button> <button value="asia-southeast2">asia-southeast2</button> <button value="australia-southeast1">australia-southeast1</button> <button value="australia-southeast2">australia-southeast2</button> <button value="europe-central2">europe-central2</button> <button value="europe-north1">europe-north1</button> <button value="europe-north2">europe-north2</button> <button value="europe-southwest1">europe-southwest1</button> <button value="europe-west1">europe-west1</button> <button value="europe-west10">europe-west10</button> <button value="europe-west12">europe-west12</button> <button value="europe-west2">europe-west2</button> <button value="europe-west3">europe-west3</button> <button value="europe-west4">europe-west4</button> <button value="europe-west8">europe-west8</button> <button value="europe-west9">europe-west9</button> <button value="northamerica-northeast1">northamerica-northeast1</button> <button value="northamerica-northeast2">northamerica-northeast2</button> <button value="northamerica-south1">northamerica-south1</button> <button value="southamerica-east1">southamerica-east1</button> <button value="southamerica-west1">southamerica-west1</button> <button value="us-central1">us-central1</button> <button value="us-east1">us-east1</button> <button value="us-east4">us-east4</button> <button value="us-east5">us-east5</button> <button value="us-east7">us-east7</button> <button value="us-south1">us-south1</button> <button value="us-west1">us-west1</button> <button value="us-west2">us-west2</button> <button value="us-west3">us-west3</button> <button value="us-west4">us-west4</button> <button value="us-west8">us-west8</button>   
`GET https://gkebackup.googleapis.com/v1/{parent=projects/*/locations/*/restoreChannels/*}/restorePlanBindings`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The RestoreChannel that contains the restorePlanBindings.list to list. Format: `projects/*/locations/*/restoreChannels/*` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `gkebackup.restorePlanBindings.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The target number of results to return in a single response. If not specified, a default value will be chosen by the service. Note that the response may include a partial list and a caller should only rely on the response's `https://docs.cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke/reference/rest/v1/projects.locations.restoreChannels.restorePlanBindings/list#body.ListRestorePlanBindingsResponse.FIELDS.next_page_token` to determine if there are more instances left to be queried. |
| `pageToken` | `string` Optional. The value of `https://docs.cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke/reference/rest/v1/projects.locations.restoreChannels.restorePlanBindings/list#body.ListRestorePlanBindingsResponse.FIELDS.next_page_token` received from a previous `restorePlanBindings.list` call. Provide this to retrieve the subsequent page in a multi-page list of results. When paginating, all other parameters provided to `restorePlanBindings.list` must match the call that provided the page token. |
| `filter` | `string` Optional. Field match expression used to filter the results. |
| `orderBy` | `string` Optional. Field by which to sort the results. |

### Request body

The request body must be empty.

### Response body

Response message for restorePlanBindings.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "restorePlanBindings": [ { object (`https://docs.cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke/reference/rest/v1/projects.locations.restoreChannels.restorePlanBindings#RestorePlanBinding`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `restorePlanBindings[]` | ``object (`https://docs.cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke/reference/rest/v1/projects.locations.restoreChannels.restorePlanBindings#RestorePlanBinding`)`` The list of RestorePlanBindings matching the given criteria. |
| `nextPageToken` | `string` A token which may be sent as `https://docs.cloud.google.com/kubernetes-engine/docs/add-on/backup-for-gke/reference/rest/v1/projects.locations.restoreChannels.restorePlanBindings/list#body.QUERY_PARAMETERS.page_token` in a subsequent `restorePlanBindings.list` call to retrieve the next page of results. If this field is omitted or empty, then there are no more results to return. |
| `unreachable[]` | `string` Unordered list. Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).